## exiv2 0.28.3+dfsg

=== debian/changelog ===
exiv2 (0.28.3+dfsg-2~ab12+1) bookworm-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    1de60eca94a19fd4ddaf819e8b0a3fd8e09cd5bd.
  * External port from:
    https://deb.debian.org/debian/pool/main/e/exiv2/exiv2_0.28.3+dfsg-
    2.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Mon, 07 Oct 2024 14:00:15 +0200

exiv2 (0.28.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable (see #1080439).

 -- Pino Toscano <pino@debian.org>  Thu, 05 Sep 2024 19:02:33 +0200

exiv2 (0.28.3+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jul 2024 12:56:53 +0200

exiv2 (0.28.2+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2024-24826, and CVE-2024-25112
  * Update the patches:
    - upstream_install-exiv2-cmake-module-in-LIBDIR.patch: drop, backported
      from upstream
    - upstream_tests-fix-parsing-w-path-containing-pa-or-pS.patch: drop,
      backported from upstream
    - cmake-restore-a-exiv2lib-target.diff: drop, fixed upstream
  * Update the symbols file.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Feb 2024 06:21:00 +0100

exiv2 (0.28.1+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Replace patch tests-fix-parsing-w-path-containing-pa-or-pS.diff with the
    upstream commit 1667bb947e5b74db0dc47ba642fc9e5fa86f1484; patch
    upstream_tests-fix-parsing-w-path-containing-pa-or-pS.patch.
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2832 to restore
    the "exiv2lib" cmake target; patch cmake-restore-a-exiv2lib-target.diff.
  * Stop requiring the static dependencies from the cmake config file; patch
    cmake-no-private.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 12:03:09 +0100

exiv2 (0.28.1+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Replace patch cmake-config-installdir.diff with the upstream commit
    c351c7cce317571934abf693055779a59df30d6e; patch
    upstream_install-exiv2-cmake-module-in-LIBDIR.patch.
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2826 to fix
    one test case of tiffTest in case the full source path contains "-pa" or
    "-pS" (e.g. the "reproducible-path" component used since recent times on
    buildds); patch tests-fix-parsing-w-path-containing-pa-or-pS.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Nov 2023 01:36:45 +0100

exiv2 (0.28.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2023-44398 (Closes: #1055470)
  * Update the patches:
    - upstream_avoid-LTO-issues.patch: drop, backported from upstream
    - upstream_asf-fix-GUID-reading-on-big-endian-platforms.patch: drop,
      backported from upstream
    - tests-do-not-hardcode-ENOENT.diff: drop, fixed upstream
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2819 to fix
    the installation of the CMake config files in the library directory;
    cmake-config-installdir.diff.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Nov 2023 22:41:59 +0100
