## exiv2 0.28.4+dfsg

=== debian/changelog ===
exiv2 (0.28.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit facce628f3622764e91a8161f89ade8cb34bc120 to
    reintroduce the copy constructors for TIFF-related classes, fixing
    CVE-2025-26623; patch upstream_Revert-fix-copy-constructors.patch.
    (Closes: #1098323)
  * Drop permission fixing of .ini files, as now they all have the right
    permissions already.
  * Move some cmake parameters directly in the dh_auto_configure invocation
    rather than as a separate variable: there is no more double build, as
    done in the past.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Feb 2025 07:48:47 +0100

exiv2 (0.28.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - cmake-no-private.diff: drop, fixed upstream
  * Bump standards version to 4.7.0, no changes required.
  * Drop breaks/replaces for versions older than what is in Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 17:43:14 +0100
