## exiv2 0.28.5+dfsg

=== debian/changelog ===
exiv2 (0.28.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards version to 4.7.1, no changes required.
  * Update the patches:
    - upstream_Revert-fix-copy-constructors.patch: drop, backported from
      upstream
    - pkgconfig-no-private.diff: mark as vendor-specific, since upstream did
      not agree on changing the pkg-config file for shared library builds

 -- Pino Toscano <pino@debian.org>  Wed, 26 Feb 2025 07:09:30 +0100
