=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Uploaders: Mark Purcell <msp@debian.org>, Steve M. Robbins <smr@debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>,
+           Steve M. Robbins <smr@debian.org>
 Build-Depends: chrpath,
                cmake (>= 3.11.0~),
                debhelper-compat (= 13),
                gettext,
                libbrotli-dev,
-               libexpat1-dev,
                libgmock-dev,
                libgtest-dev,
                libinih-dev,
+               libexpat1-dev,
                pkg-kde-tools,
                python3:any,
-               zlib1g-dev
+               zlib1g-dev,
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
 Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://www.exiv2.org/
-Vcs-Git: https://invent.kde.org/neon/backports-noble/exiv2-noble.git
-Vcs-Browser: https://invent.kde.org/neon/backports-noble/exiv2-noble
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2.git
 
 Package: exiv2
 Architecture: any
@@ -48,9 +49,8 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libexiv2-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         libexiv2-data (>= ${source:Version}),
 Suggests: exiv2
 Multi-Arch: same
 Description: EXIF/IPTC/XMP metadata manipulation library
