=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,18 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
-
-CMAKE_COMMON_ARGS = \
-	-DEXIV2_ENABLE_BMFF=ON \
-	-DEXIV2_ENABLE_NLS=ON \
-	-DEXIV2_ENABLE_VIDEO=ON \
-	-DEXIV2_ENABLE_WEBREADY=ON \
-	-DEXIV2_BUILD_UNIT_TESTS=ON \
-	-DEXIV2_BUILD_SAMPLES=OFF
 
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    $(CMAKE_COMMON_ARGS) \
+	    -DEXIV2_ENABLE_BMFF=ON \
+	    -DEXIV2_ENABLE_NLS=ON \
+	    -DEXIV2_ENABLE_VIDEO=ON \
+	    -DEXIV2_ENABLE_WEBREADY=ON \
+	    -DEXIV2_BUILD_UNIT_TESTS=ON \
+	    -DEXIV2_BUILD_SAMPLES=OFF \
 	    -DEXIV2_BUILD_DOC=$(if $(filter libexiv2-doc, $(shell dh_listpackages)),ON,OFF) \
 	    -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/exiv2/html
 
@@ -39,6 +36,3 @@
 
 override_dh_compress:
 	dh_compress -X.js -X.xml
-
-execute_after_dh_fixperms-indep:
-	find $(CURDIR)/debian/libexiv2-doc -name '*.ini' -exec chmod -x {} \;
